# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
cx.ath.matthew.debug.Debug.debugging(Class, int)
In Java 1.5 calling class is automatically identified, no need to pass it in.
cx.ath.matthew.debug.Debug.print(Class, int, Object)
In Java 1.5 calling class is automatically identified, no need to pass it in.
cx.ath.matthew.debug.Debug.print(Class, int, String)
In Java 1.5 calling class is automatically identified, no need to pass it in.
cx.ath.matthew.debug.Debug.print(Class, int, Throwable)
In Java 1.5 calling class is automatically identified, no need to pass it in.
cx.ath.matthew.debug.Debug.print(Object, int, Object)
In Java 1.5 calling class is automatically identified, no need to pass it in.
cx.ath.matthew.debug.Debug.print(Object, int, String)
In Java 1.5 calling class is automatically identified, no need to pass it in.
cx.ath.matthew.debug.Debug.print(Object, int, Throwable)
In Java 1.5 calling class is automatically identified, no need to pass it in.
cx.ath.matthew.debug.Debug.print(Object, Object)
In Java 1.5 calling class is automatically identified, no need to pass it in.
cx.ath.matthew.debug.Debug.printMap(Class, int, Map)
In Java 1.5 calling class is automatically identified, no need to pass it in.
cx.ath.matthew.debug.Debug.printMap(Object, int, Map)
In Java 1.5 calling class is automatically identified, no need to pass it in.